Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
Richard23456Offline
Post subject: [SOLVED] VLC held back due to unmet dependcies  PostPosted: 03.09.2011, 10:39



Joined: 2011-07-22
Posts: 13

Status: Offline
got this from the read out

The following packages have unmet dependencies:
vlc : Depends: vlc-nox (= 1.1.11-2+b3) but 1.1.11-2+b2 is to be installed
Recommends: vlc-plugin-notify (= 1.1.11-2+b3) but it is not going to be installed
Recommends: vlc-plugin-pulse (= 1.1.11-2+b3) but it is not going to be installed
E: Broken packages
 
 View user's profile Send private message  
Reply with quote Back to top
GdV87Offline
Post subject: RE: VLC held back due to umet dependcies  PostPosted: 03.09.2011, 14:51



Joined: 2010-10-11
Posts: 63
Location: Italy
Status: Offline
Same here.
XFCE, kernel 3.0-4 amd64.

GdV87
 
 View user's profile Send private message  
Reply with quote Back to top
etorixOffline
Post subject: RE: VLC held back due to umet dependcies  PostPosted: 04.09.2011, 03:03
Team Member


Joined: 2010-08-26
Posts: 137

Status: Offline
possibly down to the change from ffmpeg to libav

see http://lists.debian.org/debian-release/ ... 00007.html

just wait a bit
 
 View user's profile Send private message  
Reply with quote Back to top
spockOffline
15 Post subject: RE: VLC held back due to umet dependcies  PostPosted: 06.09.2011, 02:26



Joined: 2010-09-11
Posts: 51
Location: Near Milton Keynes, UK
Status: Offline
I just DU'ed successfully my 64-bit machine, which brought in vlc 1.1.11-2+b3 and vlc-nox, although I don't have vlc-plugin-notify or vlc-plugin-pulse installed.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
cdprincipeOffline
Post subject:   PostPosted: 06.09.2011, 23:08



Joined: 2011-09-06
Posts: 1
Location: Trieste
Status: Offline
http://release.debian.org/transitions/html/libav.html
 
 View user's profile Send private message  
Reply with quote Back to top
seasonsOffline
Post subject:   PostPosted: 08.09.2011, 10:44



Joined: 2010-09-13
Posts: 92

Status: Offline
VLC was fixed for me this morning. The only thing I have left depending on libav..52 stuff is xine1 and k3bextracodecs.
 
 View user's profile Send private message  
Reply with quote Back to top
elboy71Offline
Post subject:   PostPosted: 09.09.2011, 05:51



Joined: 2011-05-17
Posts: 23

Status: Offline
I've tried to DU this morning and received this warning:

      Quote:
root@aptosidbox:/home/oscar# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
gstreamer0.10-ffmpeg gstreamer0.10-ffmpeg-dbg
gstreamer0.10-plugins-really-bad libavcodec53 libavutil51
libmjpegtools-2.0-0 libpostproc51 libquicktime2 libswscale2 libxine1-ffmpeg
libxine1-plugins libxine1-xvdr minitube mozilla-plugin-vlc
phonon-backend-vlc phonon-backend-vlc-dbg remuco-vlc vlc vlc-dbg vlc-nox
vlc-plugin-fluidsynth vlc-plugin-ggi vlc-plugin-jack vlc-plugin-notify
vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svg vlc-plugin-svgalib
vlc-plugin-zvbi
The following NEW packages will be installed:
libavcodec-extra-53 libavformat53 libavutil-extra-51 libpostproc52
libswscale-extra-2
The following packages have been kept back:
upower
The following packages will be upgraded:
file fuse fuse-utils libc-bin libc-dev-bin libc6 libc6-dev libfuse2
libmagic1 librsvg2-2 librsvg2-common libupower-glib1 libvdpau1 locales
multiarch-support ntfs-3g ntfs-3g-dbg ntfs-3g-dev ttf-kochi-gothic
19 upgraded, 5 newly installed, 29 to remove and 1 not upgraded.
Need to get 24.0 MB of archives.
After this operation, 71.1 MB disk space will be freed.
Do you want to continue [Y/n]?


Any suggestions are welcome.
 
 View user's profile Send private message  
Reply with quote Back to top
mheyesOffline
Post subject:   PostPosted: 09.09.2011, 13:45



Joined: 2011-02-10
Posts: 40

Status: Offline
And for me, amd64:

      Quote:
The following packages will be REMOVED:
amarok blender gstreamer0.10-ffmpeg kdebase-runtime
kdemultimedia-kio-plugins libavcodec53 libavdevice53 libavformat53
libavutil-extra-51 libffmpegthumbnailer4 libkcddb4 libpostproc-extra-52
phonon phonon-backend-vlc tumbler vlc vlc-nox vlc-plugin-notify
vlc-plugin-pulse
The following NEW packages will be installed:
libavutil51 libpostproc51
The following packages have been kept back:
upower
The following packages will be upgraded:
file fuse fuse-utils libfuse2 libmagic1 librsvg2-2 librsvg2-common
librsvg2-dev libswscale2 ntfs-3g
10 upgraded, 2 newly installed, 19 to remove and 1 not upgraded.
Need to get 1,998 kB of archives.
After this operation, 99.0 MB disk space will be freed.
Do you want to continue [Y/n]? n


waiting for a better day...


Last edited by mheyes on 09.09.2011, 15:52; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
GdV87Offline
Post subject:   PostPosted: 09.09.2011, 15:45



Joined: 2010-10-11
Posts: 63
Location: Italy
Status: Offline
On XFCE amd64 everything is ok now.

GdV87
 
 View user's profile Send private message  
Reply with quote Back to top
diblOffline
Post subject:   PostPosted: 10.09.2011, 22:24



Joined: 2010-09-12
Posts: 302
Location: Dayton, Ohio, USA
Status: Offline
Whoa! I think I'll try again tomorrow.

      Code:
root@aptosidbox:/home/don# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  audacity ffmpeg kaffeine kdenetwork kopete libavcodec53 libavdevice53 libavfilter2 libavformat53 libavutil51
  libmediastreamer0 libpostproc51 libswscale2 libxine1-ffmpeg libxine1-plugins libxine1-xvdr
The following NEW packages will be installed:
  libavcodec-extra-53 libavformat-extra-53 libavutil-extra-51 libpostproc-extra-52 libswscale-extra-2
  ntrack-module-libnl-0
The following packages have been kept back:
  upower
The following packages will be upgraded:
  binutils cpp-4.6 g++-4.6 gcc-4.6 gcc-4.6-base gstreamer0.10-ffmpeg lib32gcc1 lib32stdc++6 libdvdnav4 libgcc1
  libgfortran3 libgomp1 libgpg-error0 libntrack-qt4-1 libntrack0 libphonon4 libqjson0 libquadmath0 libssl1.0.0 libstdc++6
  libstdc++6-4.6-dev libxine1 libxine1-bin libxine1-console libxine1-misc-plugins libxine1-x openssl phonon vlc-nox
  vlc-plugin-pulse
30 upgraded, 6 newly installed, 16 to remove and 1 not upgraded.
Need to get 38.4 MB/38.5 MB of archives.
After this operation, 28.9 MB disk space will be freed.
Do you want to continue [Y/n]?
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
sx9Offline
Post subject: Solved???  PostPosted: 15.09.2011, 15:14



Joined: 2010-09-12
Posts: 219
Location: Wiesbaden,Germany
Status: Offline
Why is it marked as "Solved"?

I still get an unpleasant output from apt:
      Code:
The following packages will be REMOVED:
  dvgrab ffmpeg frei0r-plugins gstreamer0.10-ffmpeg kaffeine kdenlive kdenlive-dbg
  kino kipi-plugins libavcodec53 libavdevice53 libavfilter2 libavformat53 libavutil51
  libcvaux2.1 libhighgui2.1 libmjpegtools-2.0-0 libmlt++3 libmlt4 libpostproc51
  libquicktime2 libswscale2 libxine1-ffmpeg libxine1-plugins libxine1-xvdr
  libxine2-ffmpeg libxine2-plugins lives melt miro mjpegtools mozilla-plugin-vlc
  openshot phonon-backend-vlc python-mlt3 quicktime-utils quicktime-x11utils
  remuco-vlc transcode vlc vlc-dbg vlc-nox vlc-plugin-ggi vlc-plugin-jack
  vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svg vlc-plugin-svgalib vlc-plugin-zvbi
  winff xineliboutput-fbfe xineliboutput-sxfe
The following NEW packages will be installed:
  libavcodec-extra-53 libavformat-extra-53 libavutil-extra-51 libpostproc-extra-52
  libswscale-extra-2 libxml-sax-base-perl ntrack-module-libnl-0
The following packages will be upgraded:
  alsa-utils apt apt-utils binutils binutils-multiarch ca-certificates-java cdbs
  clamtk coreutils cpp-4.6 debhelper emacs emacs23 emacs23-bin-common emacs23-common
  feh g++-4.6 gcc-4.6 gcc-4.6-base git git-core git-man gtk-doc-tools iw java-wrappers
  k3b k3b-data k3b-dbg k3b-extrathemes k3b-i18n libaa1 libapache2-mod-php5
  libappconfig-perl libapt-pkg-dev libasm3-java libaudio-scan-perl libauthen-ntlm-perl
  libc-bin libc-dev-bin libc6 libc6-dbg libc6-dev libc6-i686 libcsiro0
  libdate-calc-perl libdatetime-timezone-perl libdvdnav4 libdvdread4 libecj-java
  libgcc1 libgfortran3 libgnutls-dev libgnutls-openssl27 libgnutls26 libgnutlsxx27
  libgomp1 libgpg-error-dev libgpg-error0 libgpod4 libjs-mootools libjtidy-java
  libk3b6 libk3b6-extracodecs libntrack-qt4-1 libntrack0 libpackagekit-glib2-14
  libpackagekit-qt2-2 libphonon-dev libphonon4 libpkcs11-helper1 libpq-dev libpq5
  libqjson0 libqt4-assistant libqt4-dbg libqt4-dbus libqt4-declarative libqt4-designer
  libqt4-dev libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script
  libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg
  libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4
  libquadmath0 libreoffice-writer2latex libreoffice-writer2xhtml libssl-dev
  libssl1.0.0 libstdc++6 libstdc++6-4.6-dev libxine1 libxine1-bin libxine1-console
  libxine1-misc-plugins libxine1-x libxml-sax-perl lintian locales locales-all mktemp
  multiarch-support notification-daemon openssl packagekit packagekit-backend-aptcc
  phonon php5 php5-cli php5-common php5-curl php5-gd php5-gmp php5-ldap php5-mysql
  php5-tidy php5-xsl python-httplib2 python-mutagen python-openssl python-packagekit
  python-reportbug qt4-designer qt4-linguist-tools qt4-qmake quassel-client-kde4
  quassel-data-kde4 quassel-kde4 quilt reportbug scons ttf-kochi-gothic
  ttf-kochi-mincho ttf-sazanami-gothic tzdata tzdata-java update-inetd
  vim-addon-manager wine wpagui wpasupplicant
152 upgraded, 7 newly installed, 52 to remove and 0 not upgraded.
Need to get 13.0 MB/335 MB of archives.
After this operation, 181 MB disk space will be freed.

_________________
My new self-made computer:
Intel Core i7-2600k
ASUS Maximus IV Gene-Z (Mainboard)
2x4GB DDR3 RAM
ATI Radeon HD 6770
OCZ Vertex 3 60GB (SSD)
Western Digital Caviar Green WD20EARX 2TB (HDD)
...
aptosid x86_64
 
 View user's profile Send private message Send e-mail Yahoo Messenger  
Reply with quote Back to top
diblOffline
Post subject:   PostPosted: 15.09.2011, 18:02



Joined: 2010-09-12
Posts: 302
Location: Dayton, Ohio, USA
Status: Offline
Mine is updating correctly now.

Hint: If you ever installed packages from the (in)famous Debian multimedia third-party repo, this will have an effect on these audio packages during d-u.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
hubiOffline
Post subject:   PostPosted: 15.09.2011, 21:50
Moderator


Joined: 2010-09-11
Posts: 228
Location: Vienna (AT)
Status: Offline
      dibl wrote:
Hint: If you ever installed packages from the (in)famous Debian multimedia third-party repo

Debian is really going for patented but free multimedia stuff atm. I switched ffmpeg back to Debian proper as well with the new vlc. Full encoding range in Audacity, and third party ffmpeg used to break Audacity twice a year. So, I am happy!

_________________
Tilos Rádió Budapest
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio